org.fourthline.cling.model.message.control

## Class IncomingActionResponseMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpResponse>
  - - org.fourthline.cling.model.message.StreamResponseMessage
    - - org.fourthline.cling.model.message.control.IncomingActionResponseMessage

- All Implemented Interfaces:
    ActionMessage, ActionResponseMessage

      public class IncomingActionResponseMessage
      extends StreamResponseMessage
      implements ActionResponseMessage

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingActionResponseMessage(StreamResponseMessage source)`
    `IncomingActionResponseMessage(UpnpResponse operation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActionNamespace()`
    `boolean` | `isFailedNonRecoverable()`
    `boolean` | `isFailedRecoverable()`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.fourthline.cling.model.message.control.ActionMessage

      `getBodyString, isBodyNonEmptyString, setBody`

- - ### Constructor Detail

    - #### IncomingActionResponseMessage

          public IncomingActionResponseMessage(StreamResponseMessage source)

    - #### IncomingActionResponseMessage

          public IncomingActionResponseMessage(UpnpResponse operation)

  - ### Method Detail

    - #### getActionNamespace

          public String getActionNamespace()

      Specified by:
        `getActionNamespace` in interface `ActionMessage`

    - #### isFailedNonRecoverable

          public boolean isFailedNonRecoverable()

    - #### isFailedRecoverable

          public boolean isFailedRecoverable()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.